| GET | /RestApi/translations/translations/translationstatuses |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
open class GetTranslationsStatus : ITranslationsFilter
{
override var Type:ArrayList<String>? = null
override var SearchText:String? = null
override var ActualSourceLanguage:String? = null
override var TargetLanguage:ArrayList<String>? = null
override var Service:ArrayList<String>? = null
override var TranslationStatus:ArrayList<TranslationStatus>? = null
override var Status:ArrayList<String>? = null
override var ProjectIds:ArrayList<UUID>? = null
override var StartDate:Date? = null
override var EndDate:Date? = null
override var ErrorsOnly:Boolean? = null
}
enum class TranslationStatus(val value:Int)
{
Marked(101),
Sending(201),
Sent(202),
Received(301),
Importing(302),
Imported(303),
Completed(304),
Archived(401),
Deleted(402),
Rejected(403),
SendingError(501),
ImportingError(502),
ReceivingError(503),
}
Kotlin GetTranslationsStatus DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/translations/translationstatuses HTTP/1.1 Host: www.imglobal.com Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
[{"Name":"String","Value":"String","Count":0,"Action":"String","SuccessfulActionMessage":"String"}]